# -*- coding: utf-8 -*-
# Generated by Django 1.9 on 2017-06-16 04:06
from __future__ import unicode_literals

from django.conf import settings
import django.core.validators
from django.db import migrations, models
import django.db.models.deletion
import mainApp.models


class Migration(migrations.Migration):

    initial = True

    dependencies = [
        migrations.swappable_dependency(settings.AUTH_USER_MODEL),
    ]

    operations = [
        migrations.CreateModel(
            name='bestSellers',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
            ],
            options={
                'verbose_name': 'Best Seller',
            },
        ),
        migrations.CreateModel(
            name='Book',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('isbn', models.CharField(max_length=18)),
                ('title', models.CharField(max_length=300)),
                ('author', models.CharField(max_length=300)),
                ('edition', models.CharField(max_length=50)),
                ('releaseDate', models.DateField(blank=True, default=mainApp.models.currentDate, null=True)),
                ('rating', models.FloatField(default=3, validators=[django.core.validators.MinValueValidator(0)])),
                ('genre', models.CharField(max_length=300)),
                ('numPages', models.IntegerField(default=1)),
                ('inStock', models.BooleanField(default=False)),
                ('numOfCopies', models.IntegerField(default=0)),
                ('cost', models.FloatField(default=100, validators=[django.core.validators.MinValueValidator(1)])),
                ('discount', models.FloatField(default=30, validators=[django.core.validators.MinValueValidator(1)])),
                ('description', models.CharField(blank=True, max_length=1000, null=True)),
                ('bookType', models.CharField(choices=[('Academic', 'Academic'), ('Non Academic', 'Non Academic')], default='Non Academic', max_length=20)),
                ('refundableSecurity', models.FloatField(validators=[django.core.validators.MinValueValidator(1)])),
                ('rent', models.FloatField(validators=[django.core.validators.MinValueValidator(1)])),
            ],
        ),
        migrations.CreateModel(
            name='BookedUser',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('name', models.CharField(blank=True, max_length=100, null=True)),
                ('dob', models.DateField(blank=True, default=None, null=True)),
                ('address', models.CharField(blank=True, max_length=500, null=True)),
                ('phone', models.CharField(blank=True, max_length=12, null=True)),
                ('penName', models.CharField(blank=True, max_length=100, null=True)),
                ('otp', models.CharField(blank=True, default='', max_length=6, null=True)),
                ('canBorrow', models.BooleanField(default=False)),
                ('profilePic', models.ImageField(blank=True, null=True, upload_to=b'')),
                ('authUser', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, to=settings.AUTH_USER_MODEL)),
            ],
        ),
        migrations.CreateModel(
            name='borrowedBooks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('returned', models.BooleanField(default=False)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.BookedUser')),
            ],
            options={
                'verbose_name': 'Borrowed Book',
            },
        ),
        migrations.CreateModel(
            name='CartItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='ContactUs',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('phone', models.IntegerField(blank=True, null=True)),
                ('email', models.EmailField(blank=True, max_length=254, null=True)),
                ('query', models.CharField(max_length=5000)),
            ],
            options={
                'verbose_name_plural': 'Queries (Contact Us)',
            },
        ),
        migrations.CreateModel(
            name='CoverPhoto',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('photo', models.ImageField(upload_to=b'')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
            ],
        ),
        migrations.CreateModel(
            name='Discuss',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pub_date', models.DateTimeField(blank=True, null=True)),
                ('likecount', models.IntegerField(default=0)),
                ('title', models.TextField()),
                ('comment', models.TextField(blank=True, null=True)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='discussBook', to='mainApp.Book')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='discussUser', to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='Discusslike',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('discuss', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='discussLikes', to='mainApp.Discuss')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='discussLikes', to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='Exchange',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('approved', models.BooleanField(default=False)),
                ('returned', models.BooleanField(default=False)),
                ('returnVerified', models.BooleanField(default=False)),
                ('disapproved', models.BooleanField(default=False)),
                ('message', models.CharField(blank=True, default=True, max_length=1000)),
                ('book1', models.ForeignKey(blank=True, null=True, on_delete=django.db.models.deletion.CASCADE, related_name='book1', to='mainApp.Book')),
                ('book2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='book2', to='mainApp.Book')),
                ('user1', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='fromUser', to='mainApp.BookedUser')),
                ('user2', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='toUser', to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='opinion',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('pub_date', models.DateTimeField(blank=True, null=True)),
                ('comment', models.TextField(default='Review')),
                ('rating', models.IntegerField(choices=[(1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5')], default='3')),
                ('likecount', models.IntegerField(default=0)),
                ('language', models.TextField(blank=True, null=True)),
                ('writing', models.TextField(blank=True, null=True)),
                ('cover', models.TextField(blank=True, null=True)),
                ('plot', models.TextField(blank=True, null=True)),
                ('lrating', models.IntegerField(blank=True, choices=[(1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5')], null=True)),
                ('crating', models.IntegerField(blank=True, choices=[(1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5')], null=True)),
                ('prating', models.IntegerField(blank=True, choices=[(1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5')], null=True)),
                ('wrating', models.IntegerField(blank=True, choices=[(1, '1'), (2, '2'), (3, '3'), (4, '4'), (5, '5')], null=True)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='opinions', to='mainApp.Book')),
                ('user_name', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='useropinion', to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='possessedBooks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('condition', models.CharField(choices=[('As New', 'As New'), ('Fine', 'Fine'), ('Very Good', 'Very Good'), ('Good', 'Good'), ('Fair', 'Fair'), ('Poor', 'Poor'), ('Binding Copy', 'Binding Copy'), ('Reading Copy', 'Reading Copy')], default='Good', max_length=20)),
                ('exchangedCurrently', models.BooleanField(default=False)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.BookedUser')),
            ],
            options={
                'verbose_name': 'Possessed Book',
            },
        ),
        migrations.CreateModel(
            name='Purchases',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('cost', models.FloatField(validators=[django.core.validators.MinValueValidator(1)])),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
            ],
            options={
                'verbose_name': 'Purchase',
            },
        ),
        migrations.CreateModel(
            name='readBooks',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.BookedUser')),
            ],
            options={
                'verbose_name': 'Read Book',
            },
        ),
        migrations.CreateModel(
            name='Rental',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('startDate', models.DateField(default=mainApp.models.currentDate)),
                ('duration', models.IntegerField(default=7)),
                ('returned', models.BooleanField(default=False)),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
            ],
            options={
                'verbose_name': 'Rental',
            },
        ),
        migrations.CreateModel(
            name='RentItem',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='Reviewlike',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('opinions', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='opinionLikes', to='mainApp.opinion')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='reviewLikes', to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='Shipment',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('createdOn', models.DateTimeField(default=mainApp.models.currentDateTime)),
                ('razorpayId', models.CharField(blank=True, max_length=50, null=True)),
                ('shipped', models.BooleanField(default=False)),
                ('paymentMade', models.BooleanField(default=False)),
                ('shippingAddress', models.CharField(max_length=500)),
                ('paymentOption', models.CharField(choices=[('COD', 'Cash On Delivery'), ('Online', 'Online')], max_length=50)),
                ('totalCost', models.FloatField(validators=[django.core.validators.MinValueValidator(1)])),
                ('refundableAmount', models.FloatField(default=0, validators=[django.core.validators.MinValueValidator(0)])),
                ('transactionComplete', models.BooleanField(default=False)),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.BookedUser')),
            ],
        ),
        migrations.CreateModel(
            name='Tag',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('slug', models.SlugField(max_length=200, unique=True)),
            ],
        ),
        migrations.CreateModel(
            name='todayBook',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book')),
            ],
            options={
                'verbose_name': 'Latest Books/Today Book',
            },
        ),
        migrations.CreateModel(
            name='wishlist',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('book', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='bookwish', to='mainApp.Book')),
                ('user', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='wishlists', to='mainApp.BookedUser')),
            ],
        ),
        migrations.AddField(
            model_name='rental',
            name='shipment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Shipment'),
        ),
        migrations.AddField(
            model_name='purchases',
            name='shipment',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Shipment'),
        ),
        migrations.AddField(
            model_name='bestsellers',
            name='book',
            field=models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, to='mainApp.Book'),
        ),
    ]
